Bug 90345 - [PATCH] Fix excessive RUN_DEPENDS on archivers/rpm
Summary: [PATCH] Fix excessive RUN_DEPENDS on archivers/rpm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-emulation (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-13 20:20 UTC by Ulrich Spoerlein
Modified: 2005-12-29 16:33 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.02 KB, patch)
2005-12-13 20:20 UTC, Ulrich Spoerlein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Spoerlein 2005-12-13 20:20:03 UTC
I noticed this because mplayer and dvdrip depend on archivers/rpm on
my system. The problem is with some ports setting their
BUILD_DEPENDS=RUN_DEPENDS, even if no extra BUILD_DEPENDS are actually
required.

How-To-Repeat: % cd /usr/ports/*/linux-gtk2
% make -V BUILD_DEPENDS -V RUN_DEPENDS
/compat/linux/usr/lib/libglib-2.0.so.0:/usr/ports/devel/linux-glib2  /compat/linux/usr/lib/libatk-1.0.so.0:/usr/ports/accessibility/linux-atk  /compat/linux/usr/lib/libjpeg.so.62:/usr/ports/graphics/linux-jpeg  /compat/linux/usr/lib/libpng12.so.0:/usr/ports/graphics/linux-png  /compat/linux/usr/lib/libtiff.so.3:/usr/ports/graphics/linux-tiff  /compat/linux/usr/lib/libpango-1.0.so.0:/usr/ports/x11-toolkits/linux-pango rpm:/usr/ports/archivers/rpm
/compat/linux/usr/lib/libglib-2.0.so.0:/usr/ports/devel/linux-glib2  /compat/linux/usr/lib/libatk-1.0.so.0:/usr/ports/accessibility/linux-atk  /compat/linux/usr/lib/libjpeg.so.62:/usr/ports/graphics/linux-jpeg  /compat/linux/usr/lib/libpng12.so.0:/usr/ports/graphics/linux-png  /compat/linux/usr/lib/libtiff.so.3:/usr/ports/graphics/linux-tiff  /compat/linux/usr/lib/libpango-1.0.so.0:/usr/ports/x11-toolkits/linux-pango rpm:/usr/ports/archivers/rpm /compat/linux/etc/redhat-release:/usr/ports/emulators/linux_base-8 /compat/linux/usr/X11R6/lib/libXrender.so.1:/usr/ports/x11/linux-XFree86-libs

Please notice, that archivers/rpm has become a RUN_DEPENDS, which certainly
is not the case (meaning that rpm is not really needed to have the port/package
working)
Comment 1 Volker Stolz freebsd_committer 2005-12-15 09:05:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-emulation

Over to maintainers
Comment 2 Alexander Leidinger freebsd_committer 2005-12-29 16:32:59 UTC
State Changed
From-To: open->closed

Committed. Thanks.